Bug 21792 - XFree86 sharing fbdev on matrox g200
XFree86 sharing fbdev on matrox g200
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-12-05 23:50 EST by Ed McKenzie
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-03 16:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-12-05 23:50:59 EST
With XFree86 4.0 running on fbdev (Option "UseFBDev" in the "Device"
section), the hardware cursor shows up as a solid white square minus a
horizontal cursor-shaped hole in the upper left. Turning off the Xserver's
hardware cursor solves this problem, but the back buffering for the
software cursor corrupts DRI drawing.

Other than those two issues, XFree  seems to work remarkably well on
matroxfb, with the added bonus that the console isn't trashed when the DRI
freezes XFree86.
Comment 1 Mike A. Harris 2000-12-06 09:09:15 EST
Have you tried using the mga driver, or the 3.3.6 server instead?
Comment 2 Ed McKenzie 2000-12-06 11:44:41 EST
Both XFree 3.3.6 and the 4.0 mga driver work fine, most of the time. However, 
DRI is rather unstable, and when XFree crashes, the console is left in an 
unusable state until next boot unless I run it on matroxfb.
Comment 3 Mike A. Harris 2001-04-02 13:04:41 EDT
The latest rawhide RPM's should fix this for you.  Make sure you upgrade
Mesa at the same time, as well as any other dependant packages.  If you still
have problems, please reopen the bug, and I'll dig deeper.  My mga g200 is
working ok with the rawhide stuff.
Comment 4 Ed McKenzie 2001-04-03 02:19:02 EDT
The hardware cursor now works in both X and on the console, but if the console
is run in 8 or 16bpp, typing characters doesn't produce the expected result
after switching away from X (I get patterned snow that looks like the
framebuffer pitch changed without the console knowing it ...)

fbset -depth 0 fixes it, but that's no fix. :)
Comment 5 Ed McKenzie 2001-04-03 16:06:57 EDT
Oops, I lied. The hardware cursor is still broken under fbdev, unless you turn
on "NoHWCursor" in XF86Config-4.
Comment 6 Ed McKenzie 2001-09-01 11:13:33 EDT
Xconfigurator supports --usefbdev as of 4.9.33.

Note You need to log in before you can comment on or make changes to this bug.